---
names: 
  full: "Google Cloud SQL Server Instance 3625 (trace flag) Database Flag is not set to on"
  contextual: "SQL Server Instance 3625 (trace flag) Database Flag is not set to on"
description: "It is recommended to set 3625 (trace flag) database flag for Cloud SQL SQL Server instance to 'on'."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/03/06
  - /frameworks/cloudaware/resource-security/data-protection-and-recovery
  - /frameworks/nist-sp-800-53-r5/cm/01
  - /frameworks/nist-sp-800-53-r5/cm/02
  - /frameworks/nist-sp-800-53-r5/cm/06
  - /frameworks/nist-sp-800-53-r5/cm/07
  - /frameworks/nist-sp-800-53-r5/cm/09
  - /frameworks/nist-sp-800-53-r5/sa/10
  - /frameworks/nist-sp-800-53-r5/sa/03
  - /frameworks/nist-sp-800-53-r5/sa/08
  - /frameworks/pci-dss-v4.0/01/01/01
  - /frameworks/pci-dss-v4.0/01/02/01
  - /frameworks/pci-dss-v4.0/01/02/06
  - /frameworks/pci-dss-v4.0/01/02/07
  - /frameworks/pci-dss-v4.0/01/05/01
  - /frameworks/pci-dss-v4.0/02/01/01
  - /frameworks/pci-dss-v4.0/02/02/01
  - /frameworks/iso-iec-27001-2022/08/01
  - /frameworks/iso-iec-27001-2022/08/09
  - /frameworks/nist-csf-v1.1/pr-ip/01
  - /frameworks/soc-2/cc7/01/02
  - /frameworks/soc-2/cc7/01/03
  - /frameworks/soc-2/cc7/01/04
  - /frameworks/soc-2/cc8/01/01
  - /frameworks/soc-2/cc8/01/02
  - /frameworks/soc-2/cc8/01/03
  - /frameworks/soc-2/cc8/01/04
  - /frameworks/soc-2/cc8/01/05
  - /frameworks/soc-2/cc8/01/06
  - /frameworks/soc-2/cc8/01/07
  - /frameworks/soc-2/cc8/01/08
  - /frameworks/soc-2/cc8/01/09
  - /frameworks/soc-2/cc8/01/10
  - /frameworks/soc-2/cc8/01/11
  - /frameworks/soc-2/cc8/01/12
  - /frameworks/soc-2/cc8/01/13
  - /frameworks/soc-2/cc8/01/14
  - /frameworks/soc-2/cc8/01/15
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/disable-3625-trace-flag.html"
      name: "Disable '3625' Trace Flag for SQL Server Database Instances"
